
_set_up:

;max6675.c,33 :: 		void set_up() {    // configuration for pic16f887
;max6675.c,35 :: 		ANSEL = 0;
	CLRF       ANSEL+0
;max6675.c,36 :: 		ANSELH = 0;
	CLRF       ANSELH+0
;max6675.c,37 :: 		TRISA0_bit=0;
	BCF        TRISA0_bit+0, BitPos(TRISA0_bit+0)
;max6675.c,38 :: 		TRISA1_bit=0;
	BCF        TRISA1_bit+0, BitPos(TRISA1_bit+0)
;max6675.c,39 :: 		TRISB0_bit=0;
	BCF        TRISB0_bit+0, BitPos(TRISB0_bit+0)
;max6675.c,40 :: 		TRISB1_bit=0;
	BCF        TRISB1_bit+0, BitPos(TRISB1_bit+0)
;max6675.c,41 :: 		trise.b0=1;
	BSF        TRISE+0, 0
;max6675.c,42 :: 		TRISE1_bit=0;
	BCF        TRISE1_bit+0, BitPos(TRISE1_bit+0)
;max6675.c,43 :: 		TRISE2_bit=0;
	BCF        TRISE2_bit+0, BitPos(TRISE2_bit+0)
;max6675.c,44 :: 		C1ON_bit = 0;            // analog comparators off.
	BCF        C1ON_bit+0, BitPos(C1ON_bit+0)
;max6675.c,45 :: 		C2ON_bit = 0;
	BCF        C2ON_bit+0, BitPos(C2ON_bit+0)
;max6675.c,46 :: 		RA0_bit=0;
	BCF        RA0_bit+0, BitPos(RA0_bit+0)
;max6675.c,47 :: 		RA1_bit=0;
	BCF        RA1_bit+0, BitPos(RA1_bit+0)
;max6675.c,48 :: 		RB0_bit=0;
	BCF        RB0_bit+0, BitPos(RB0_bit+0)
;max6675.c,49 :: 		Soft_SPI_Init();
	CALL       _Soft_SPI_Init+0
;max6675.c,50 :: 		Keypad_Init();
	CALL       _Keypad_Init+0
;max6675.c,51 :: 		Lcd_Init();
	CALL       _Lcd_Init+0
;max6675.c,52 :: 		Lcd_Cmd(_LCD_CLEAR);
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;max6675.c,53 :: 		Lcd_Cmd(_LCD_CURSOR_OFF);
	MOVLW      12
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;max6675.c,54 :: 		delay_ms(100);
	MOVLW      2
	MOVWF      R11+0
	MOVLW      4
	MOVWF      R12+0
	MOVLW      186
	MOVWF      R13+0
L_set_up0:
	DECFSZ     R13+0, 1
	GOTO       L_set_up0
	DECFSZ     R12+0, 1
	GOTO       L_set_up0
	DECFSZ     R11+0, 1
	GOTO       L_set_up0
	NOP
;max6675.c,55 :: 		}
L_end_set_up:
	RETURN
; end of _set_up

_buzzer:

;max6675.c,56 :: 		void buzzer() {
;max6675.c,57 :: 		RB0_bit=1;
	BSF        RB0_bit+0, BitPos(RB0_bit+0)
;max6675.c,58 :: 		delay_ms(Tone);
	MOVLW      2
	MOVWF      R11+0
	MOVLW      134
	MOVWF      R12+0
	MOVLW      153
	MOVWF      R13+0
L_buzzer1:
	DECFSZ     R13+0, 1
	GOTO       L_buzzer1
	DECFSZ     R12+0, 1
	GOTO       L_buzzer1
	DECFSZ     R11+0, 1
	GOTO       L_buzzer1
;max6675.c,59 :: 		RB0_bit=0;
	BCF        RB0_bit+0, BitPos(RB0_bit+0)
;max6675.c,60 :: 		delay_ms(Tone);
	MOVLW      2
	MOVWF      R11+0
	MOVLW      134
	MOVWF      R12+0
	MOVLW      153
	MOVWF      R13+0
L_buzzer2:
	DECFSZ     R13+0, 1
	GOTO       L_buzzer2
	DECFSZ     R12+0, 1
	GOTO       L_buzzer2
	DECFSZ     R11+0, 1
	GOTO       L_buzzer2
;max6675.c,61 :: 		}
L_end_buzzer:
	RETURN
; end of _buzzer

_print1:

;max6675.c,63 :: 		void print1() {
;max6675.c,64 :: 		ch = lim1/100;
	MOVLW      100
	MOVWF      R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	MOVF       _lim1+0, 0
	MOVWF      R0+0
	MOVF       _lim1+1, 0
	MOVWF      R0+1
	MOVF       _lim1+2, 0
	MOVWF      R0+2
	MOVF       _lim1+3, 0
	MOVWF      R0+3
	CALL       _Div_32x32_S+0
	MOVF       R0+0, 0
	MOVWF      _ch+0
;max6675.c,65 :: 		Lcd_Chr(1,1,48+ch);
	MOVLW      1
	MOVWF      FARG_Lcd_Chr_row+0
	MOVLW      1
	MOVWF      FARG_Lcd_Chr_column+0
	MOVF       R0+0, 0
	ADDLW      48
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
;max6675.c,66 :: 		ch =(lim1/ 10 )% 10;
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	MOVF       _lim1+0, 0
	MOVWF      R0+0
	MOVF       _lim1+1, 0
	MOVWF      R0+1
	MOVF       _lim1+2, 0
	MOVWF      R0+2
	MOVF       _lim1+3, 0
	MOVWF      R0+3
	CALL       _Div_32x32_S+0
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	CALL       _Div_32x32_S+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R8+2, 0
	MOVWF      R0+2
	MOVF       R8+3, 0
	MOVWF      R0+3
	MOVF       R0+0, 0
	MOVWF      _ch+0
;max6675.c,67 :: 		Lcd_Chr_CP(48+ch);
	MOVF       R0+0, 0
	ADDLW      48
	MOVWF      FARG_Lcd_Chr_CP_out_char+0
	CALL       _Lcd_Chr_CP+0
;max6675.c,68 :: 		ch = lim1 % 10;
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	MOVF       _lim1+0, 0
	MOVWF      R0+0
	MOVF       _lim1+1, 0
	MOVWF      R0+1
	MOVF       _lim1+2, 0
	MOVWF      R0+2
	MOVF       _lim1+3, 0
	MOVWF      R0+3
	CALL       _Div_32x32_S+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R8+2, 0
	MOVWF      R0+2
	MOVF       R8+3, 0
	MOVWF      R0+3
	MOVF       R0+0, 0
	MOVWF      _ch+0
;max6675.c,69 :: 		Lcd_Chr_CP(48+ch);
	MOVF       R0+0, 0
	ADDLW      48
	MOVWF      FARG_Lcd_Chr_CP_out_char+0
	CALL       _Lcd_Chr_CP+0
;max6675.c,70 :: 		Lcd_Chr(1,4,223);   // Print degree character for Centigrades.
	MOVLW      1
	MOVWF      FARG_Lcd_Chr_row+0
	MOVLW      4
	MOVWF      FARG_Lcd_Chr_column+0
	MOVLW      223
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
;max6675.c,71 :: 		Lcd_Chr(1,5,'C');
	MOVLW      1
	MOVWF      FARG_Lcd_Chr_row+0
	MOVLW      5
	MOVWF      FARG_Lcd_Chr_column+0
	MOVLW      67
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
;max6675.c,72 :: 		}
L_end_print1:
	RETURN
; end of _print1

_print2:

;max6675.c,73 :: 		void print2() {
;max6675.c,74 :: 		ch = lim2/100;
	MOVLW      100
	MOVWF      R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	MOVF       _lim2+0, 0
	MOVWF      R0+0
	MOVF       _lim2+1, 0
	MOVWF      R0+1
	MOVF       _lim2+2, 0
	MOVWF      R0+2
	MOVF       _lim2+3, 0
	MOVWF      R0+3
	CALL       _Div_32x32_S+0
	MOVF       R0+0, 0
	MOVWF      _ch+0
;max6675.c,75 :: 		Lcd_Chr(1,7,48+ch);
	MOVLW      1
	MOVWF      FARG_Lcd_Chr_row+0
	MOVLW      7
	MOVWF      FARG_Lcd_Chr_column+0
	MOVF       R0+0, 0
	ADDLW      48
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
;max6675.c,76 :: 		ch =(lim2/ 10 )% 10;
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	MOVF       _lim2+0, 0
	MOVWF      R0+0
	MOVF       _lim2+1, 0
	MOVWF      R0+1
	MOVF       _lim2+2, 0
	MOVWF      R0+2
	MOVF       _lim2+3, 0
	MOVWF      R0+3
	CALL       _Div_32x32_S+0
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	CALL       _Div_32x32_S+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R8+2, 0
	MOVWF      R0+2
	MOVF       R8+3, 0
	MOVWF      R0+3
	MOVF       R0+0, 0
	MOVWF      _ch+0
;max6675.c,77 :: 		Lcd_Chr_CP(48+ch);
	MOVF       R0+0, 0
	ADDLW      48
	MOVWF      FARG_Lcd_Chr_CP_out_char+0
	CALL       _Lcd_Chr_CP+0
;max6675.c,78 :: 		ch = lim2 % 10;
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	MOVF       _lim2+0, 0
	MOVWF      R0+0
	MOVF       _lim2+1, 0
	MOVWF      R0+1
	MOVF       _lim2+2, 0
	MOVWF      R0+2
	MOVF       _lim2+3, 0
	MOVWF      R0+3
	CALL       _Div_32x32_S+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R8+2, 0
	MOVWF      R0+2
	MOVF       R8+3, 0
	MOVWF      R0+3
	MOVF       R0+0, 0
	MOVWF      _ch+0
;max6675.c,79 :: 		Lcd_Chr_CP(48+ch);
	MOVF       R0+0, 0
	ADDLW      48
	MOVWF      FARG_Lcd_Chr_CP_out_char+0
	CALL       _Lcd_Chr_CP+0
;max6675.c,80 :: 		Lcd_Chr(1,10,223);   // Print degree character for Centigrades.
	MOVLW      1
	MOVWF      FARG_Lcd_Chr_row+0
	MOVLW      10
	MOVWF      FARG_Lcd_Chr_column+0
	MOVLW      223
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
;max6675.c,81 :: 		Lcd_Chr(1,11,'C');
	MOVLW      1
	MOVWF      FARG_Lcd_Chr_row+0
	MOVLW      11
	MOVWF      FARG_Lcd_Chr_column+0
	MOVLW      67
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
;max6675.c,82 :: 		delay_ms(10);
	MOVLW      26
	MOVWF      R12+0
	MOVLW      248
	MOVWF      R13+0
L_print23:
	DECFSZ     R13+0, 1
	GOTO       L_print23
	DECFSZ     R12+0, 1
	GOTO       L_print23
	NOP
;max6675.c,83 :: 		}
L_end_print2:
	RETURN
; end of _print2

_reading:

;max6675.c,85 :: 		void reading() {
;max6675.c,88 :: 		CS = 0;
	BCF        RE2_bit+0, BitPos(RE2_bit+0)
;max6675.c,89 :: 		sensorh = Soft_SPI_Read(170);
	MOVLW      170
	MOVWF      FARG_Soft_SPI_Read_sdata+0
	CALL       _Soft_SPI_Read+0
	MOVF       R0+0, 0
	MOVWF      _sensorh+0
;max6675.c,90 :: 		sensorl = Soft_SPI_Read(170);
	MOVLW      170
	MOVWF      FARG_Soft_SPI_Read_sdata+0
	CALL       _Soft_SPI_Read+0
	MOVF       R0+0, 0
	MOVWF      _sensorl+0
;max6675.c,91 :: 		sensor_dato=((unsigned int )sensorh <<5) | (sensorl>>3 );
	MOVF       _sensorh+0, 0
	MOVWF      R2+0
	CLRF       R2+1
	MOVLW      5
	MOVWF      R1+0
	MOVF       R2+0, 0
	MOVWF      R4+0
	MOVF       R2+1, 0
	MOVWF      R4+1
	MOVF       R1+0, 0
L__reading112:
	BTFSC      STATUS+0, 2
	GOTO       L__reading113
	RLF        R4+0, 1
	RLF        R4+1, 1
	BCF        R4+0, 0
	ADDLW      255
	GOTO       L__reading112
L__reading113:
	MOVF       R0+0, 0
	MOVWF      R1+0
	RRF        R1+0, 1
	BCF        R1+0, 7
	RRF        R1+0, 1
	BCF        R1+0, 7
	RRF        R1+0, 1
	BCF        R1+0, 7
	MOVF       R1+0, 0
	IORWF      R4+0, 0
	MOVWF      R0+0
	MOVF       R4+1, 0
	MOVWF      R0+1
	MOVLW      0
	IORWF      R0+1, 1
	MOVF       R0+0, 0
	MOVWF      _sensor_dato+0
	MOVF       R0+1, 0
	MOVWF      _sensor_dato+1
;max6675.c,92 :: 		CS =1;
	BSF        RE2_bit+0, BitPos(RE2_bit+0)
;max6675.c,93 :: 		Temp1=(sensor_dato*0.25);
	CALL       _word2double+0
	MOVLW      0
	MOVWF      R4+0
	MOVLW      0
	MOVWF      R4+1
	MOVLW      0
	MOVWF      R4+2
	MOVLW      125
	MOVWF      R4+3
	CALL       _Mul_32x32_FP+0
	CALL       _double2longint+0
	MOVF       R0+0, 0
	MOVWF      _Temp1+0
	MOVF       R0+1, 0
	MOVWF      _Temp1+1
	MOVF       R0+2, 0
	MOVWF      _Temp1+2
	MOVF       R0+3, 0
	MOVWF      _Temp1+3
;max6675.c,94 :: 		ch = Temp1/1000;
	MOVLW      232
	MOVWF      R4+0
	MOVLW      3
	MOVWF      R4+1
	CLRF       R4+2
	CLRF       R4+3
	CALL       _Div_32x32_S+0
	MOVF       R0+0, 0
	MOVWF      _ch+0
;max6675.c,95 :: 		Lcd_Chr(2,4,48+ch);
	MOVLW      2
	MOVWF      FARG_Lcd_Chr_row+0
	MOVLW      4
	MOVWF      FARG_Lcd_Chr_column+0
	MOVF       R0+0, 0
	ADDLW      48
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
;max6675.c,96 :: 		ch =(Temp1/ 100 )% 10;
	MOVLW      100
	MOVWF      R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	MOVF       _Temp1+0, 0
	MOVWF      R0+0
	MOVF       _Temp1+1, 0
	MOVWF      R0+1
	MOVF       _Temp1+2, 0
	MOVWF      R0+2
	MOVF       _Temp1+3, 0
	MOVWF      R0+3
	CALL       _Div_32x32_S+0
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	CALL       _Div_32x32_S+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R8+2, 0
	MOVWF      R0+2
	MOVF       R8+3, 0
	MOVWF      R0+3
	MOVF       R0+0, 0
	MOVWF      _ch+0
;max6675.c,97 :: 		Lcd_Chr_CP(48+ch);
	MOVF       R0+0, 0
	ADDLW      48
	MOVWF      FARG_Lcd_Chr_CP_out_char+0
	CALL       _Lcd_Chr_CP+0
;max6675.c,98 :: 		ch =(Temp1/ 10 )% 10;
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	MOVF       _Temp1+0, 0
	MOVWF      R0+0
	MOVF       _Temp1+1, 0
	MOVWF      R0+1
	MOVF       _Temp1+2, 0
	MOVWF      R0+2
	MOVF       _Temp1+3, 0
	MOVWF      R0+3
	CALL       _Div_32x32_S+0
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	CALL       _Div_32x32_S+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R8+2, 0
	MOVWF      R0+2
	MOVF       R8+3, 0
	MOVWF      R0+3
	MOVF       R0+0, 0
	MOVWF      _ch+0
;max6675.c,99 :: 		Lcd_Chr_CP(48+ch);
	MOVF       R0+0, 0
	ADDLW      48
	MOVWF      FARG_Lcd_Chr_CP_out_char+0
	CALL       _Lcd_Chr_CP+0
;max6675.c,100 :: 		ch = Temp1 % 10;
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	MOVF       _Temp1+0, 0
	MOVWF      R0+0
	MOVF       _Temp1+1, 0
	MOVWF      R0+1
	MOVF       _Temp1+2, 0
	MOVWF      R0+2
	MOVF       _Temp1+3, 0
	MOVWF      R0+3
	CALL       _Div_32x32_S+0
	MOVF       R8+0, 0
	MOVWF      R0+0
	MOVF       R8+1, 0
	MOVWF      R0+1
	MOVF       R8+2, 0
	MOVWF      R0+2
	MOVF       R8+3, 0
	MOVWF      R0+3
	MOVF       R0+0, 0
	MOVWF      _ch+0
;max6675.c,101 :: 		Lcd_Chr_CP(48+ch);
	MOVF       R0+0, 0
	ADDLW      48
	MOVWF      FARG_Lcd_Chr_CP_out_char+0
	CALL       _Lcd_Chr_CP+0
;max6675.c,102 :: 		Lcd_Chr(2,8,223);   // Print degree character for Centigrades.
	MOVLW      2
	MOVWF      FARG_Lcd_Chr_row+0
	MOVLW      8
	MOVWF      FARG_Lcd_Chr_column+0
	MOVLW      223
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
;max6675.c,103 :: 		Lcd_Chr(2,9,'C');
	MOVLW      2
	MOVWF      FARG_Lcd_Chr_row+0
	MOVLW      9
	MOVWF      FARG_Lcd_Chr_column+0
	MOVLW      67
	MOVWF      FARG_Lcd_Chr_out_char+0
	CALL       _Lcd_Chr+0
;max6675.c,104 :: 		delay_ms(50);
	MOVLW      130
	MOVWF      R12+0
	MOVLW      221
	MOVWF      R13+0
L_reading4:
	DECFSZ     R13+0, 1
	GOTO       L_reading4
	DECFSZ     R12+0, 1
	GOTO       L_reading4
	NOP
	NOP
;max6675.c,105 :: 		}
L_end_reading:
	RETURN
; end of _reading

_Hot:

;max6675.c,106 :: 		void Hot() {
;max6675.c,107 :: 		short int j=0;
	CLRF       Hot_j_L0+0
;max6675.c,108 :: 		RA0_bit=1;
	BSF        RA0_bit+0, BitPos(RA0_bit+0)
;max6675.c,109 :: 		RA1_bit=0;
	BCF        RA1_bit+0, BitPos(RA1_bit+0)
;max6675.c,110 :: 		for(j=0; j<=3; j++){
	CLRF       Hot_j_L0+0
L_Hot5:
	MOVLW      128
	XORLW      3
	MOVWF      R0+0
	MOVLW      128
	XORWF      Hot_j_L0+0, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_Hot6
;max6675.c,111 :: 		if(Temp1==lim2) j=3;
	MOVF       _Temp1+3, 0
	XORWF      _lim2+3, 0
	BTFSS      STATUS+0, 2
	GOTO       L__Hot115
	MOVF       _Temp1+2, 0
	XORWF      _lim2+2, 0
	BTFSS      STATUS+0, 2
	GOTO       L__Hot115
	MOVF       _Temp1+1, 0
	XORWF      _lim2+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__Hot115
	MOVF       _Temp1+0, 0
	XORWF      _lim2+0, 0
L__Hot115:
	BTFSS      STATUS+0, 2
	GOTO       L_Hot8
	MOVLW      3
	MOVWF      Hot_j_L0+0
	GOTO       L_Hot9
L_Hot8:
;max6675.c,112 :: 		else reading(), j=1;
	CALL       _reading+0
	MOVLW      1
	MOVWF      Hot_j_L0+0
L_Hot9:
;max6675.c,113 :: 		if(Keypad_Key_Click()) delay_ms(1), j=3, locked=1, chlk++, buzzer();
	CALL       _Keypad_Key_Click+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_Hot10
	MOVLW      3
	MOVWF      R12+0
	MOVLW      151
	MOVWF      R13+0
L_Hot11:
	DECFSZ     R13+0, 1
	GOTO       L_Hot11
	DECFSZ     R12+0, 1
	GOTO       L_Hot11
	NOP
	NOP
	MOVLW      3
	MOVWF      Hot_j_L0+0
	MOVLW      1
	MOVWF      _locked+0
	MOVLW      0
	MOVWF      _locked+1
	INCF       _chlk+0, 1
	BTFSC      STATUS+0, 2
	INCF       _chlk+1, 1
	CALL       _buzzer+0
L_Hot10:
;max6675.c,110 :: 		for(j=0; j<=3; j++){
	INCF       Hot_j_L0+0, 1
;max6675.c,114 :: 		}
	GOTO       L_Hot5
L_Hot6:
;max6675.c,115 :: 		if(locked==0) Lcd_Out(1,13," ");
	MOVLW      0
	XORWF      _locked+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__Hot116
	MOVLW      0
	XORWF      _locked+0, 0
L__Hot116:
	BTFSS      STATUS+0, 2
	GOTO       L_Hot12
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      13
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr1_max6675+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
	GOTO       L_Hot13
L_Hot12:
;max6675.c,116 :: 		else Lcd_Out(1,13,"!");
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      13
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr2_max6675+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
L_Hot13:
;max6675.c,117 :: 		RA0_bit=0;
	BCF        RA0_bit+0, BitPos(RA0_bit+0)
;max6675.c,118 :: 		}
L_end_Hot:
	RETURN
; end of _Hot

_Cold:

;max6675.c,119 :: 		void Cold() {
;max6675.c,120 :: 		short int j=0;
	CLRF       Cold_j_L0+0
;max6675.c,121 :: 		RA0_bit=0;
	BCF        RA0_bit+0, BitPos(RA0_bit+0)
;max6675.c,122 :: 		RA1_bit=1;
	BSF        RA1_bit+0, BitPos(RA1_bit+0)
;max6675.c,123 :: 		for(j=0; j<=3; j++){
	CLRF       Cold_j_L0+0
L_Cold14:
	MOVLW      128
	XORLW      3
	MOVWF      R0+0
	MOVLW      128
	XORWF      Cold_j_L0+0, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_Cold15
;max6675.c,124 :: 		if(Temp1==lim1) j=3;
	MOVF       _Temp1+3, 0
	XORWF      _lim1+3, 0
	BTFSS      STATUS+0, 2
	GOTO       L__Cold118
	MOVF       _Temp1+2, 0
	XORWF      _lim1+2, 0
	BTFSS      STATUS+0, 2
	GOTO       L__Cold118
	MOVF       _Temp1+1, 0
	XORWF      _lim1+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__Cold118
	MOVF       _Temp1+0, 0
	XORWF      _lim1+0, 0
L__Cold118:
	BTFSS      STATUS+0, 2
	GOTO       L_Cold17
	MOVLW      3
	MOVWF      Cold_j_L0+0
	GOTO       L_Cold18
L_Cold17:
;max6675.c,125 :: 		else reading(), j=1;
	CALL       _reading+0
	MOVLW      1
	MOVWF      Cold_j_L0+0
L_Cold18:
;max6675.c,126 :: 		if(Keypad_Key_Click()) delay_ms(1), j=3, locked=1, chlk++, buzzer();
	CALL       _Keypad_Key_Click+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_Cold19
	MOVLW      3
	MOVWF      R12+0
	MOVLW      151
	MOVWF      R13+0
L_Cold20:
	DECFSZ     R13+0, 1
	GOTO       L_Cold20
	DECFSZ     R12+0, 1
	GOTO       L_Cold20
	NOP
	NOP
	MOVLW      3
	MOVWF      Cold_j_L0+0
	MOVLW      1
	MOVWF      _locked+0
	MOVLW      0
	MOVWF      _locked+1
	INCF       _chlk+0, 1
	BTFSC      STATUS+0, 2
	INCF       _chlk+1, 1
	CALL       _buzzer+0
L_Cold19:
;max6675.c,123 :: 		for(j=0; j<=3; j++){
	INCF       Cold_j_L0+0, 1
;max6675.c,127 :: 		}
	GOTO       L_Cold14
L_Cold15:
;max6675.c,128 :: 		RA1_bit=0;
	BCF        RA1_bit+0, BitPos(RA1_bit+0)
;max6675.c,129 :: 		if(locked==0) Lcd_Out(1,13," ");
	MOVLW      0
	XORWF      _locked+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__Cold119
	MOVLW      0
	XORWF      _locked+0, 0
L__Cold119:
	BTFSS      STATUS+0, 2
	GOTO       L_Cold21
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      13
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr3_max6675+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
	GOTO       L_Cold22
L_Cold21:
;max6675.c,130 :: 		else Lcd_Out(1,13,"!");
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      13
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr4_max6675+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
L_Cold22:
;max6675.c,132 :: 		}
L_end_Cold:
	RETURN
; end of _Cold

_test:

;max6675.c,133 :: 		void test() {
;max6675.c,134 :: 		buzzer();
	CALL       _buzzer+0
;max6675.c,135 :: 		Lcd_Out(2,4," TEST ");
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      4
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr5_max6675+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;max6675.c,136 :: 		RA0_bit=1;
	BSF        RA0_bit+0, BitPos(RA0_bit+0)
;max6675.c,137 :: 		RA1_bit=0;
	BCF        RA1_bit+0, BitPos(RA1_bit+0)
;max6675.c,138 :: 		delay_ms(2000);
	MOVLW      21
	MOVWF      R11+0
	MOVLW      75
	MOVWF      R12+0
	MOVLW      190
	MOVWF      R13+0
L_test23:
	DECFSZ     R13+0, 1
	GOTO       L_test23
	DECFSZ     R12+0, 1
	GOTO       L_test23
	DECFSZ     R11+0, 1
	GOTO       L_test23
	NOP
;max6675.c,139 :: 		RA0_bit=0;
	BCF        RA0_bit+0, BitPos(RA0_bit+0)
;max6675.c,140 :: 		RA1_bit=1;
	BSF        RA1_bit+0, BitPos(RA1_bit+0)
;max6675.c,141 :: 		delay_ms(2000);
	MOVLW      21
	MOVWF      R11+0
	MOVLW      75
	MOVWF      R12+0
	MOVLW      190
	MOVWF      R13+0
L_test24:
	DECFSZ     R13+0, 1
	GOTO       L_test24
	DECFSZ     R12+0, 1
	GOTO       L_test24
	DECFSZ     R11+0, 1
	GOTO       L_test24
	NOP
;max6675.c,142 :: 		RA0_bit=1;
	BSF        RA0_bit+0, BitPos(RA0_bit+0)
;max6675.c,143 :: 		RA1_bit=1;
	BSF        RA1_bit+0, BitPos(RA1_bit+0)
;max6675.c,144 :: 		delay_ms(2000);
	MOVLW      21
	MOVWF      R11+0
	MOVLW      75
	MOVWF      R12+0
	MOVLW      190
	MOVWF      R13+0
L_test25:
	DECFSZ     R13+0, 1
	GOTO       L_test25
	DECFSZ     R12+0, 1
	GOTO       L_test25
	DECFSZ     R11+0, 1
	GOTO       L_test25
	NOP
;max6675.c,145 :: 		RA0_bit=0;
	BCF        RA0_bit+0, BitPos(RA0_bit+0)
;max6675.c,146 :: 		RA1_bit=0;
	BCF        RA1_bit+0, BitPos(RA1_bit+0)
;max6675.c,147 :: 		if(aux==0)lim2=lim2/10;
	MOVLW      0
	XORWF      _aux+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__test121
	MOVLW      0
	XORWF      _aux+0, 0
L__test121:
	BTFSS      STATUS+0, 2
	GOTO       L_test26
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	MOVF       _lim2+0, 0
	MOVWF      R0+0
	MOVF       _lim2+1, 0
	MOVWF      R0+1
	MOVF       _lim2+2, 0
	MOVWF      R0+2
	MOVF       _lim2+3, 0
	MOVWF      R0+3
	CALL       _Div_32x32_S+0
	MOVF       R0+0, 0
	MOVWF      _lim2+0
	MOVF       R0+1, 0
	MOVWF      _lim2+1
	MOVF       R0+2, 0
	MOVWF      _lim2+2
	MOVF       R0+3, 0
	MOVWF      _lim2+3
L_test26:
;max6675.c,148 :: 		if(aux==1)lim1=lim1/10;
	MOVLW      0
	XORWF      _aux+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__test122
	MOVLW      1
	XORWF      _aux+0, 0
L__test122:
	BTFSS      STATUS+0, 2
	GOTO       L_test27
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	MOVF       _lim1+0, 0
	MOVWF      R0+0
	MOVF       _lim1+1, 0
	MOVWF      R0+1
	MOVF       _lim1+2, 0
	MOVWF      R0+2
	MOVF       _lim1+3, 0
	MOVWF      R0+3
	CALL       _Div_32x32_S+0
	MOVF       R0+0, 0
	MOVWF      _lim1+0
	MOVF       R0+1, 0
	MOVWF      _lim1+1
	MOVF       R0+2, 0
	MOVWF      _lim1+2
	MOVF       R0+3, 0
	MOVWF      _lim1+3
L_test27:
;max6675.c,149 :: 		reading();
	CALL       _reading+0
;max6675.c,150 :: 		}
L_end_test:
	RETURN
; end of _test

_checking:

;max6675.c,151 :: 		void checking() {
;max6675.c,152 :: 		if(chlk>1) chlk=0;
	MOVF       _chlk+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__checking124
	MOVF       _chlk+0, 0
	SUBLW      1
L__checking124:
	BTFSC      STATUS+0, 0
	GOTO       L_checking28
	CLRF       _chlk+0
	CLRF       _chlk+1
L_checking28:
;max6675.c,153 :: 		if(aux==0)lim2=lim2/10;
	MOVLW      0
	XORWF      _aux+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__checking125
	MOVLW      0
	XORWF      _aux+0, 0
L__checking125:
	BTFSS      STATUS+0, 2
	GOTO       L_checking29
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	MOVF       _lim2+0, 0
	MOVWF      R0+0
	MOVF       _lim2+1, 0
	MOVWF      R0+1
	MOVF       _lim2+2, 0
	MOVWF      R0+2
	MOVF       _lim2+3, 0
	MOVWF      R0+3
	CALL       _Div_32x32_S+0
	MOVF       R0+0, 0
	MOVWF      _lim2+0
	MOVF       R0+1, 0
	MOVWF      _lim2+1
	MOVF       R0+2, 0
	MOVWF      _lim2+2
	MOVF       R0+3, 0
	MOVWF      _lim2+3
L_checking29:
;max6675.c,154 :: 		if(aux==1)lim1=lim1/10;
	MOVLW      0
	XORWF      _aux+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__checking126
	MOVLW      1
	XORWF      _aux+0, 0
L__checking126:
	BTFSS      STATUS+0, 2
	GOTO       L_checking30
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	MOVF       _lim1+0, 0
	MOVWF      R0+0
	MOVF       _lim1+1, 0
	MOVWF      R0+1
	MOVF       _lim1+2, 0
	MOVWF      R0+2
	MOVF       _lim1+3, 0
	MOVWF      R0+3
	CALL       _Div_32x32_S+0
	MOVF       R0+0, 0
	MOVWF      _lim1+0
	MOVF       R0+1, 0
	MOVWF      _lim1+1
	MOVF       R0+2, 0
	MOVWF      _lim1+2
	MOVF       R0+3, 0
	MOVWF      _lim1+3
L_checking30:
;max6675.c,155 :: 		if (chlk==0) Lcd_Out(1,13," "), locked=0;
	MOVLW      0
	XORWF      _chlk+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__checking127
	MOVLW      0
	XORWF      _chlk+0, 0
L__checking127:
	BTFSS      STATUS+0, 2
	GOTO       L_checking31
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      13
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr6_max6675+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
	CLRF       _locked+0
	CLRF       _locked+1
L_checking31:
;max6675.c,156 :: 		if(chlk==1) Lcd_Out(1,13,"!"), locked=1;
	MOVLW      0
	XORWF      _chlk+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__checking128
	MOVLW      1
	XORWF      _chlk+0, 0
L__checking128:
	BTFSS      STATUS+0, 2
	GOTO       L_checking32
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      13
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr7_max6675+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
	MOVLW      1
	MOVWF      _locked+0
	MOVLW      0
	MOVWF      _locked+1
L_checking32:
;max6675.c,157 :: 		}
L_end_checking:
	RETURN
; end of _checking

_key_pad:

;max6675.c,158 :: 		void key_pad() {
;max6675.c,159 :: 		short int i=0, contador =0, select=0, clear=0, memo1=0, memo2=0, memo3=0;
	CLRF       key_pad_i_L0+0
	CLRF       key_pad_contador_L0+0
	CLRF       key_pad_select_L0+0
	CLRF       key_pad_clear_L0+0
	CLRF       key_pad_memo1_L0+0
	CLRF       key_pad_memo2_L0+0
	CLRF       key_pad_memo3_L0+0
;max6675.c,161 :: 		buzzer();
	CALL       _buzzer+0
;max6675.c,162 :: 		Lcd_Out(1,15,"<<");
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      15
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr8_max6675+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;max6675.c,163 :: 		Lcd_Out(2,15,"  ");
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      15
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr9_max6675+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;max6675.c,164 :: 		for(i=0; i<=3; i++){
	CLRF       key_pad_i_L0+0
L_key_pad33:
	MOVLW      128
	XORLW      3
	MOVWF      R0+0
	MOVLW      128
	XORWF      key_pad_i_L0+0, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 0
	GOTO       L_key_pad34
;max6675.c,165 :: 		kp=0;
	CLRF       key_pad_kp_L0+0
;max6675.c,166 :: 		if(memo3==1){
	MOVF       key_pad_memo3_L0+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_key_pad36
;max6675.c,167 :: 		if(aux==1) {
	MOVLW      0
	XORWF      _aux+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__key_pad130
	MOVLW      1
	XORWF      _aux+0, 0
L__key_pad130:
	BTFSS      STATUS+0, 2
	GOTO       L_key_pad37
;max6675.c,168 :: 		if(clear==1) lim1=0, clear=0;
	MOVF       key_pad_clear_L0+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_key_pad38
	CLRF       _lim1+0
	CLRF       _lim1+1
	CLRF       _lim1+2
	CLRF       _lim1+3
	CLRF       key_pad_clear_L0+0
L_key_pad38:
;max6675.c,169 :: 		if((memo1==0)&&(clear==0))lim1=(10*lim1)+contador;
	MOVF       key_pad_memo1_L0+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_key_pad41
	MOVF       key_pad_clear_L0+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_key_pad41
L__key_pad103:
	MOVLW      10
	MOVWF      R0+0
	CLRF       R0+1
	CLRF       R0+2
	CLRF       R0+3
	MOVF       _lim1+0, 0
	MOVWF      R4+0
	MOVF       _lim1+1, 0
	MOVWF      R4+1
	MOVF       _lim1+2, 0
	MOVWF      R4+2
	MOVF       _lim1+3, 0
	MOVWF      R4+3
	CALL       _Mul_32x32_U+0
	MOVF       key_pad_contador_L0+0, 0
	MOVWF      _lim1+0
	MOVLW      0
	BTFSC      _lim1+0, 7
	MOVLW      255
	MOVWF      _lim1+1
	MOVWF      _lim1+2
	MOVWF      _lim1+3
	MOVF       R0+0, 0
	ADDWF      _lim1+0, 1
	MOVF       R0+1, 0
	BTFSC      STATUS+0, 0
	INCFSZ     R0+1, 0
	ADDWF      _lim1+1, 1
	MOVF       R0+2, 0
	BTFSC      STATUS+0, 0
	INCFSZ     R0+2, 0
	ADDWF      _lim1+2, 1
	MOVF       R0+3, 0
	BTFSC      STATUS+0, 0
	INCFSZ     R0+3, 0
	ADDWF      _lim1+3, 1
L_key_pad41:
;max6675.c,170 :: 		if((memo1==0)&&(clear==2))lim1=lim1/10, clear=0;
	MOVF       key_pad_memo1_L0+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_key_pad44
	MOVF       key_pad_clear_L0+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L_key_pad44
L__key_pad102:
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	MOVF       _lim1+0, 0
	MOVWF      R0+0
	MOVF       _lim1+1, 0
	MOVWF      R0+1
	MOVF       _lim1+2, 0
	MOVWF      R0+2
	MOVF       _lim1+3, 0
	MOVWF      R0+3
	CALL       _Div_32x32_S+0
	MOVF       R0+0, 0
	MOVWF      _lim1+0
	MOVF       R0+1, 0
	MOVWF      _lim1+1
	MOVF       R0+2, 0
	MOVWF      _lim1+2
	MOVF       R0+3, 0
	MOVWF      _lim1+3
	CLRF       key_pad_clear_L0+0
	GOTO       L_key_pad45
L_key_pad44:
;max6675.c,171 :: 		else lim1=lim1;
L_key_pad45:
;max6675.c,172 :: 		if(lim1>300)lim1=300;
	MOVLW      128
	MOVWF      R0+0
	MOVLW      128
	XORWF      _lim1+3, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__key_pad131
	MOVF       _lim1+2, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__key_pad131
	MOVF       _lim1+1, 0
	SUBLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__key_pad131
	MOVF       _lim1+0, 0
	SUBLW      44
L__key_pad131:
	BTFSC      STATUS+0, 0
	GOTO       L_key_pad46
	MOVLW      44
	MOVWF      _lim1+0
	MOVLW      1
	MOVWF      _lim1+1
	CLRF       _lim1+2
	CLRF       _lim1+3
L_key_pad46:
;max6675.c,173 :: 		print1();
	CALL       _print1+0
;max6675.c,174 :: 		memo1=0;
	CLRF       key_pad_memo1_L0+0
;max6675.c,175 :: 		memo2=1;
	MOVLW      1
	MOVWF      key_pad_memo2_L0+0
;max6675.c,176 :: 		}
L_key_pad37:
;max6675.c,177 :: 		if(aux==0) {
	MOVLW      0
	XORWF      _aux+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__key_pad132
	MOVLW      0
	XORWF      _aux+0, 0
L__key_pad132:
	BTFSS      STATUS+0, 2
	GOTO       L_key_pad47
;max6675.c,178 :: 		if(clear==1) lim2=0, clear=0;
	MOVF       key_pad_clear_L0+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_key_pad48
	CLRF       _lim2+0
	CLRF       _lim2+1
	CLRF       _lim2+2
	CLRF       _lim2+3
	CLRF       key_pad_clear_L0+0
L_key_pad48:
;max6675.c,179 :: 		if((memo2==0)&&(clear==0))lim2=(10*lim2)+contador;
	MOVF       key_pad_memo2_L0+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_key_pad51
	MOVF       key_pad_clear_L0+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_key_pad51
L__key_pad101:
	MOVLW      10
	MOVWF      R0+0
	CLRF       R0+1
	CLRF       R0+2
	CLRF       R0+3
	MOVF       _lim2+0, 0
	MOVWF      R4+0
	MOVF       _lim2+1, 0
	MOVWF      R4+1
	MOVF       _lim2+2, 0
	MOVWF      R4+2
	MOVF       _lim2+3, 0
	MOVWF      R4+3
	CALL       _Mul_32x32_U+0
	MOVF       key_pad_contador_L0+0, 0
	MOVWF      _lim2+0
	MOVLW      0
	BTFSC      _lim2+0, 7
	MOVLW      255
	MOVWF      _lim2+1
	MOVWF      _lim2+2
	MOVWF      _lim2+3
	MOVF       R0+0, 0
	ADDWF      _lim2+0, 1
	MOVF       R0+1, 0
	BTFSC      STATUS+0, 0
	INCFSZ     R0+1, 0
	ADDWF      _lim2+1, 1
	MOVF       R0+2, 0
	BTFSC      STATUS+0, 0
	INCFSZ     R0+2, 0
	ADDWF      _lim2+2, 1
	MOVF       R0+3, 0
	BTFSC      STATUS+0, 0
	INCFSZ     R0+3, 0
	ADDWF      _lim2+3, 1
L_key_pad51:
;max6675.c,180 :: 		if((memo2==0)&&(clear==2))lim2=lim2/10, clear=0;
	MOVF       key_pad_memo2_L0+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_key_pad54
	MOVF       key_pad_clear_L0+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L_key_pad54
L__key_pad100:
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CLRF       R4+2
	CLRF       R4+3
	MOVF       _lim2+0, 0
	MOVWF      R0+0
	MOVF       _lim2+1, 0
	MOVWF      R0+1
	MOVF       _lim2+2, 0
	MOVWF      R0+2
	MOVF       _lim2+3, 0
	MOVWF      R0+3
	CALL       _Div_32x32_S+0
	MOVF       R0+0, 0
	MOVWF      _lim2+0
	MOVF       R0+1, 0
	MOVWF      _lim2+1
	MOVF       R0+2, 0
	MOVWF      _lim2+2
	MOVF       R0+3, 0
	MOVWF      _lim2+3
	CLRF       key_pad_clear_L0+0
	GOTO       L_key_pad55
L_key_pad54:
;max6675.c,181 :: 		else lim2=lim2;
L_key_pad55:
;max6675.c,182 :: 		if(lim2>300)lim2=300;
	MOVLW      128
	MOVWF      R0+0
	MOVLW      128
	XORWF      _lim2+3, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__key_pad133
	MOVF       _lim2+2, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__key_pad133
	MOVF       _lim2+1, 0
	SUBLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__key_pad133
	MOVF       _lim2+0, 0
	SUBLW      44
L__key_pad133:
	BTFSC      STATUS+0, 0
	GOTO       L_key_pad56
	MOVLW      44
	MOVWF      _lim2+0
	MOVLW      1
	MOVWF      _lim2+1
	CLRF       _lim2+2
	CLRF       _lim2+3
L_key_pad56:
;max6675.c,183 :: 		print2();
	CALL       _print2+0
;max6675.c,184 :: 		memo1=1;
	MOVLW      1
	MOVWF      key_pad_memo1_L0+0
;max6675.c,185 :: 		memo2=0;
	CLRF       key_pad_memo2_L0+0
;max6675.c,186 :: 		}
L_key_pad47:
;max6675.c,187 :: 		}
L_key_pad36:
;max6675.c,188 :: 		memo3=1;
	MOVLW      1
	MOVWF      key_pad_memo3_L0+0
;max6675.c,189 :: 		do  //wait the moment when the keypad is pressed and after thar is free.
L_key_pad57:
;max6675.c,190 :: 		kp=Keypad_Key_Click();  //read the keypad.
	CALL       _Keypad_Key_Click+0
	MOVF       R0+0, 0
	MOVWF      key_pad_kp_L0+0
;max6675.c,191 :: 		while (!kp);
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_key_pad57
;max6675.c,192 :: 		switch (kp){
	GOTO       L_key_pad60
;max6675.c,193 :: 		case  1:  contador=7;  break;
L_key_pad62:
	MOVLW      7
	MOVWF      key_pad_contador_L0+0
	GOTO       L_key_pad61
;max6675.c,194 :: 		case  2:  contador=8;  break;
L_key_pad63:
	MOVLW      8
	MOVWF      key_pad_contador_L0+0
	GOTO       L_key_pad61
;max6675.c,195 :: 		case  3:  contador=9;  break;
L_key_pad64:
	MOVLW      9
	MOVWF      key_pad_contador_L0+0
	GOTO       L_key_pad61
;max6675.c,196 :: 		case  4:  chlk++; checking(); break;
L_key_pad65:
	INCF       _chlk+0, 1
	BTFSC      STATUS+0, 2
	INCF       _chlk+1, 1
	CALL       _checking+0
	GOTO       L_key_pad61
;max6675.c,197 :: 		case  5:  contador=4; break;
L_key_pad66:
	MOVLW      4
	MOVWF      key_pad_contador_L0+0
	GOTO       L_key_pad61
;max6675.c,198 :: 		case  6:  contador=5;  break;
L_key_pad67:
	MOVLW      5
	MOVWF      key_pad_contador_L0+0
	GOTO       L_key_pad61
;max6675.c,199 :: 		case  7:  contador=6;  break;
L_key_pad68:
	MOVLW      6
	MOVWF      key_pad_contador_L0+0
	GOTO       L_key_pad61
;max6675.c,200 :: 		case  8:  contador=0; clear=1; break;
L_key_pad69:
	CLRF       key_pad_contador_L0+0
	MOVLW      1
	MOVWF      key_pad_clear_L0+0
	GOTO       L_key_pad61
;max6675.c,201 :: 		case  9:  contador=1;  break;
L_key_pad70:
	MOVLW      1
	MOVWF      key_pad_contador_L0+0
	GOTO       L_key_pad61
;max6675.c,202 :: 		case  10: contador=2;  break;
L_key_pad71:
	MOVLW      2
	MOVWF      key_pad_contador_L0+0
	GOTO       L_key_pad61
;max6675.c,203 :: 		case  11: contador=3;  break;
L_key_pad72:
	MOVLW      3
	MOVWF      key_pad_contador_L0+0
	GOTO       L_key_pad61
;max6675.c,204 :: 		case  12: aux++; break;
L_key_pad73:
	INCF       _aux+0, 1
	BTFSC      STATUS+0, 2
	INCF       _aux+1, 1
	GOTO       L_key_pad61
;max6675.c,205 :: 		case  13: test(); break;
L_key_pad74:
	CALL       _test+0
	GOTO       L_key_pad61
;max6675.c,206 :: 		case  14: contador=0; break;
L_key_pad75:
	CLRF       key_pad_contador_L0+0
	GOTO       L_key_pad61
;max6675.c,207 :: 		case  15: select=1; break;
L_key_pad76:
	MOVLW      1
	MOVWF      key_pad_select_L0+0
	GOTO       L_key_pad61
;max6675.c,208 :: 		case  16: clear=2; break;
L_key_pad77:
	MOVLW      2
	MOVWF      key_pad_clear_L0+0
	GOTO       L_key_pad61
;max6675.c,209 :: 		}
L_key_pad60:
	MOVF       key_pad_kp_L0+0, 0
	XORLW      1
	BTFSC      STATUS+0, 2
	GOTO       L_key_pad62
	MOVF       key_pad_kp_L0+0, 0
	XORLW      2
	BTFSC      STATUS+0, 2
	GOTO       L_key_pad63
	MOVF       key_pad_kp_L0+0, 0
	XORLW      3
	BTFSC      STATUS+0, 2
	GOTO       L_key_pad64
	MOVF       key_pad_kp_L0+0, 0
	XORLW      4
	BTFSC      STATUS+0, 2
	GOTO       L_key_pad65
	MOVF       key_pad_kp_L0+0, 0
	XORLW      5
	BTFSC      STATUS+0, 2
	GOTO       L_key_pad66
	MOVF       key_pad_kp_L0+0, 0
	XORLW      6
	BTFSC      STATUS+0, 2
	GOTO       L_key_pad67
	MOVF       key_pad_kp_L0+0, 0
	XORLW      7
	BTFSC      STATUS+0, 2
	GOTO       L_key_pad68
	MOVF       key_pad_kp_L0+0, 0
	XORLW      8
	BTFSC      STATUS+0, 2
	GOTO       L_key_pad69
	MOVF       key_pad_kp_L0+0, 0
	XORLW      9
	BTFSC      STATUS+0, 2
	GOTO       L_key_pad70
	MOVF       key_pad_kp_L0+0, 0
	XORLW      10
	BTFSC      STATUS+0, 2
	GOTO       L_key_pad71
	MOVF       key_pad_kp_L0+0, 0
	XORLW      11
	BTFSC      STATUS+0, 2
	GOTO       L_key_pad72
	MOVF       key_pad_kp_L0+0, 0
	XORLW      12
	BTFSC      STATUS+0, 2
	GOTO       L_key_pad73
	MOVF       key_pad_kp_L0+0, 0
	XORLW      13
	BTFSC      STATUS+0, 2
	GOTO       L_key_pad74
	MOVF       key_pad_kp_L0+0, 0
	XORLW      14
	BTFSC      STATUS+0, 2
	GOTO       L_key_pad75
	MOVF       key_pad_kp_L0+0, 0
	XORLW      15
	BTFSC      STATUS+0, 2
	GOTO       L_key_pad76
	MOVF       key_pad_kp_L0+0, 0
	XORLW      16
	BTFSC      STATUS+0, 2
	GOTO       L_key_pad77
L_key_pad61:
;max6675.c,210 :: 		if((select==0)&&(i==3)) i=0;
	MOVF       key_pad_select_L0+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L_key_pad80
	MOVF       key_pad_i_L0+0, 0
	XORLW      3
	BTFSS      STATUS+0, 2
	GOTO       L_key_pad80
L__key_pad99:
	CLRF       key_pad_i_L0+0
L_key_pad80:
;max6675.c,211 :: 		if(select==1) i=3;
	MOVF       key_pad_select_L0+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L_key_pad81
	MOVLW      3
	MOVWF      key_pad_i_L0+0
L_key_pad81:
;max6675.c,212 :: 		if(aux>1)aux=0;
	MOVF       _aux+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__key_pad134
	MOVF       _aux+0, 0
	SUBLW      1
L__key_pad134:
	BTFSC      STATUS+0, 0
	GOTO       L_key_pad82
	CLRF       _aux+0
	CLRF       _aux+1
L_key_pad82:
;max6675.c,213 :: 		buzzer();
	CALL       _buzzer+0
;max6675.c,164 :: 		for(i=0; i<=3; i++){
	INCF       key_pad_i_L0+0, 1
;max6675.c,214 :: 		}
	GOTO       L_key_pad33
L_key_pad34:
;max6675.c,215 :: 		Lcd_Out(1,15,"  ");
	MOVLW      1
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      15
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr10_max6675+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;max6675.c,216 :: 		Lcd_Out(2,15,"<<");
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      15
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr11_max6675+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;max6675.c,217 :: 		}
L_end_key_pad:
	RETURN
; end of _key_pad

_main:

;max6675.c,219 :: 		void main() {
;max6675.c,220 :: 		set_up(), buzzer();
	CALL       _set_up+0
	CALL       _buzzer+0
;max6675.c,221 :: 		print1(), print2();
	CALL       _print1+0
	CALL       _print2+0
;max6675.c,222 :: 		Lcd_Out(2,15,"<<");
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      15
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      ?lstr12_max6675+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;max6675.c,223 :: 		delay_ms(100);
	MOVLW      2
	MOVWF      R11+0
	MOVLW      4
	MOVWF      R12+0
	MOVLW      186
	MOVWF      R13+0
L_main83:
	DECFSZ     R13+0, 1
	GOTO       L_main83
	DECFSZ     R12+0, 1
	GOTO       L_main83
	DECFSZ     R11+0, 1
	GOTO       L_main83
	NOP
;max6675.c,224 :: 		do{
L_main84:
;max6675.c,225 :: 		reading();
	CALL       _reading+0
;max6675.c,226 :: 		if(Keypad_Key_Click()) delay_ms(1), key_pad();
	CALL       _Keypad_Key_Click+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L_main87
	MOVLW      3
	MOVWF      R12+0
	MOVLW      151
	MOVWF      R13+0
L_main88:
	DECFSZ     R13+0, 1
	GOTO       L_main88
	DECFSZ     R12+0, 1
	GOTO       L_main88
	NOP
	NOP
	CALL       _key_pad+0
L_main87:
;max6675.c,227 :: 		if((lim2>0)&&(locked==0)){
	MOVLW      128
	MOVWF      R0+0
	MOVLW      128
	XORWF      _lim2+3, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main136
	MOVF       _lim2+2, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main136
	MOVF       _lim2+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main136
	MOVF       _lim2+0, 0
	SUBLW      0
L__main136:
	BTFSC      STATUS+0, 0
	GOTO       L_main91
	MOVLW      0
	XORWF      _locked+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main137
	MOVLW      0
	XORWF      _locked+0, 0
L__main137:
	BTFSS      STATUS+0, 2
	GOTO       L_main91
L__main106:
;max6675.c,228 :: 		if((Temp1<lim1)&&(Temp1<lim2)) Hot();
	MOVLW      128
	XORWF      _Temp1+3, 0
	MOVWF      R0+0
	MOVLW      128
	XORWF      _lim1+3, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main138
	MOVF       _lim1+2, 0
	SUBWF      _Temp1+2, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main138
	MOVF       _lim1+1, 0
	SUBWF      _Temp1+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main138
	MOVF       _lim1+0, 0
	SUBWF      _Temp1+0, 0
L__main138:
	BTFSC      STATUS+0, 0
	GOTO       L_main94
	MOVLW      128
	XORWF      _Temp1+3, 0
	MOVWF      R0+0
	MOVLW      128
	XORWF      _lim2+3, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main139
	MOVF       _lim2+2, 0
	SUBWF      _Temp1+2, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main139
	MOVF       _lim2+1, 0
	SUBWF      _Temp1+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main139
	MOVF       _lim2+0, 0
	SUBWF      _Temp1+0, 0
L__main139:
	BTFSC      STATUS+0, 0
	GOTO       L_main94
L__main105:
	CALL       _Hot+0
L_main94:
;max6675.c,229 :: 		if((Temp1>lim1)&&(Temp1>lim2)) Cold();
	MOVLW      128
	XORWF      _lim1+3, 0
	MOVWF      R0+0
	MOVLW      128
	XORWF      _Temp1+3, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main140
	MOVF       _Temp1+2, 0
	SUBWF      _lim1+2, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main140
	MOVF       _Temp1+1, 0
	SUBWF      _lim1+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main140
	MOVF       _Temp1+0, 0
	SUBWF      _lim1+0, 0
L__main140:
	BTFSC      STATUS+0, 0
	GOTO       L_main97
	MOVLW      128
	XORWF      _lim2+3, 0
	MOVWF      R0+0
	MOVLW      128
	XORWF      _Temp1+3, 0
	SUBWF      R0+0, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main141
	MOVF       _Temp1+2, 0
	SUBWF      _lim2+2, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main141
	MOVF       _Temp1+1, 0
	SUBWF      _lim2+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__main141
	MOVF       _Temp1+0, 0
	SUBWF      _lim2+0, 0
L__main141:
	BTFSC      STATUS+0, 0
	GOTO       L_main97
L__main104:
	CALL       _Cold+0
L_main97:
;max6675.c,230 :: 		}
	GOTO       L_main98
L_main91:
;max6675.c,231 :: 		else  RA0_bit=0, RA1_bit=0;
	BCF        RA0_bit+0, BitPos(RA0_bit+0)
	BCF        RA1_bit+0, BitPos(RA1_bit+0)
L_main98:
;max6675.c,232 :: 		} while (1);
	GOTO       L_main84
;max6675.c,233 :: 		}
L_end_main:
	GOTO       $+0
; end of _main
