#line 1 "C:/Users/Usuario/Documents/MikroC_pro_pic/max6675/max6675.c"



sbit LCD_RS at RB2_bit;
sbit LCD_EN at RB3_bit;
sbit LCD_D4 at RB4_bit;
sbit LCD_D5 at RB5_bit;
sbit LCD_D6 at RB6_bit;
sbit LCD_D7 at RB7_bit;
sbit LCD_RS_Direction at TRISB2_bit;
sbit LCD_EN_Direction at TRISB3_bit;
sbit LCD_D4_Direction at TRISB4_bit;
sbit LCD_D5_Direction at TRISB5_bit;
sbit LCD_D6_Direction at TRISB6_bit;
sbit LCD_D7_Direction at TRISB7_bit;

char keypadPort at PORTD;

sbit SoftSpi_SDI at RE0_bit;
sbit SoftSpi_SDO at portb.b1;
sbit SoftSpi_CLK at RE1_bit;
sbit CS at RE2_bit;

sbit SoftSpi_SDI_Direction at TRISE0_bit;
sbit SoftSpi_SDO_Direction at TRISb.B1;
sbit SoftSpi_CLK_Direction at TRISE1_bit;

unsigned int sensor_dato, locked=0, aux=0, chlk=0;
char sensorl, sensorh, ch;
long Temp1=0, lim1=0, lim2=0;


void set_up() {

 ANSEL = 0;
 ANSELH = 0;
 TRISA0_bit=0;
 TRISA1_bit=0;
 TRISB0_bit=0;
 TRISB1_bit=0;
 trise.b0=1;
 TRISE1_bit=0;
 TRISE2_bit=0;
 C1ON_bit = 0;
 C2ON_bit = 0;
 RA0_bit=0;
 RA1_bit=0;
 RB0_bit=0;
 Soft_SPI_Init();
 Keypad_Init();
 Lcd_Init();
 Lcd_Cmd(_LCD_CLEAR);
 Lcd_Cmd(_LCD_CURSOR_OFF);
 delay_ms(100);
}
void buzzer() {
 RB0_bit=1;
 delay_ms( 150 );
 RB0_bit=0;
 delay_ms( 150 );
}

void print1() {
ch = lim1/100;
Lcd_Chr(1,1,48+ch);
ch =(lim1/ 10 )% 10;
Lcd_Chr_CP(48+ch);
ch = lim1 % 10;
Lcd_Chr_CP(48+ch);
Lcd_Chr(1,4,223);
Lcd_Chr(1,5,'C');
}
void print2() {
ch = lim2/100;
Lcd_Chr(1,7,48+ch);
ch =(lim2/ 10 )% 10;
Lcd_Chr_CP(48+ch);
ch = lim2 % 10;
Lcd_Chr_CP(48+ch);
Lcd_Chr(1,10,223);
Lcd_Chr(1,11,'C');
delay_ms(10);
}

void reading() {


 CS = 0;
 sensorh = Soft_SPI_Read(170);
 sensorl = Soft_SPI_Read(170);
 sensor_dato=((unsigned int )sensorh <<5) | (sensorl>>3 );
 CS =1;
 Temp1=(sensor_dato*0.25);
 ch = Temp1/1000;
 Lcd_Chr(2,4,48+ch);
 ch =(Temp1/ 100 )% 10;
 Lcd_Chr_CP(48+ch);
 ch =(Temp1/ 10 )% 10;
 Lcd_Chr_CP(48+ch);
 ch = Temp1 % 10;
 Lcd_Chr_CP(48+ch);
 Lcd_Chr(2,8,223);
 Lcd_Chr(2,9,'C');
 delay_ms(50);
}
void Hot() {
short int j=0;
RA0_bit=1;
RA1_bit=0;
for(j=0; j<=3; j++){
if(Temp1==lim2) j=3;
else reading(), j=1;
if(Keypad_Key_Click()) delay_ms(1), j=3, locked=1, chlk++, buzzer();
}
if(locked==0) Lcd_Out(1,13," ");
else Lcd_Out(1,13,"!");
RA0_bit=0;
}
void Cold() {
short int j=0;
RA0_bit=0;
RA1_bit=1;
for(j=0; j<=3; j++){
if(Temp1==lim1) j=3;
else reading(), j=1;
if(Keypad_Key_Click()) delay_ms(1), j=3, locked=1, chlk++, buzzer();
}
RA1_bit=0;
if(locked==0) Lcd_Out(1,13," ");
else Lcd_Out(1,13,"!");

}
void test() {
buzzer();
Lcd_Out(2,4," TEST ");
RA0_bit=1;
RA1_bit=0;
delay_ms(2000);
RA0_bit=0;
RA1_bit=1;
delay_ms(2000);
RA0_bit=1;
RA1_bit=1;
delay_ms(2000);
RA0_bit=0;
RA1_bit=0;
if(aux==0)lim2=lim2/10;
if(aux==1)lim1=lim1/10;
reading();
}
void checking() {
if(chlk>1) chlk=0;
if(aux==0)lim2=lim2/10;
if(aux==1)lim1=lim1/10;
if (chlk==0) Lcd_Out(1,13," "), locked=0;
if(chlk==1) Lcd_Out(1,13,"!"), locked=1;
}
void key_pad() {
short int i=0, contador =0, select=0, clear=0, memo1=0, memo2=0, memo3=0;
char kp;
buzzer();
Lcd_Out(1,15,"<<");
Lcd_Out(2,15,"  ");
for(i=0; i<=3; i++){
kp=0;
if(memo3==1){
if(aux==1) {
if(clear==1) lim1=0, clear=0;
if((memo1==0)&&(clear==0))lim1=(10*lim1)+contador;
if((memo1==0)&&(clear==2))lim1=lim1/10, clear=0;
else lim1=lim1;
if(lim1>300)lim1=300;
print1();
memo1=0;
memo2=1;
}
if(aux==0) {
if(clear==1) lim2=0, clear=0;
if((memo2==0)&&(clear==0))lim2=(10*lim2)+contador;
if((memo2==0)&&(clear==2))lim2=lim2/10, clear=0;
else lim2=lim2;
if(lim2>300)lim2=300;
print2();
memo1=1;
memo2=0;
}
}
memo3=1;
do
kp=Keypad_Key_Click();
while (!kp);
switch (kp){
 case 1: contador=7; break;
 case 2: contador=8; break;
 case 3: contador=9; break;
 case 4: chlk++; checking(); break;
 case 5: contador=4; break;
 case 6: contador=5; break;
 case 7: contador=6; break;
 case 8: contador=0; clear=1; break;
 case 9: contador=1; break;
 case 10: contador=2; break;
 case 11: contador=3; break;
 case 12: aux++; break;
 case 13: test(); break;
 case 14: contador=0; break;
 case 15: select=1; break;
 case 16: clear=2; break;
 }
 if((select==0)&&(i==3)) i=0;
 if(select==1) i=3;
 if(aux>1)aux=0;
 buzzer();
}
Lcd_Out(1,15,"  ");
Lcd_Out(2,15,"<<");
}

void main() {
set_up(), buzzer();
print1(), print2();
Lcd_Out(2,15,"<<");
delay_ms(100);
 do{
 reading();
 if(Keypad_Key_Click()) delay_ms(1), key_pad();
 if((lim2>0)&&(locked==0)){
 if((Temp1<lim1)&&(Temp1<lim2)) Hot();
 if((Temp1>lim1)&&(Temp1>lim2)) Cold();
 }
 else RA0_bit=0, RA1_bit=0;
 } while (1);
}
